/* -*-C-*-
 * access to the X Window System for Sather
 * (c) 1994/11/03 - 1994/12/19 by Erik Schnetter
 */

#include <errno.h>
#include <malloc.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include "../../System/header.h"



Display* X_OpenDisplay (CHAR* name)
{
  return XOpenDisplay (name);
}

void X_CloseDisplay (Display* display)
{
  XCloseDisplay (display);
}



void X_AddHost (Display* display, INT family, INT length, CHAR* address)
{
  XHostAddress host_address;
  host_address.family = family;
  host_address.length = length;
  host_address.address = address;
  XAddHost (display, &host_address);
}

#if 0
XHostAddress* X_AddHosts_Init (INT num_hosts)
{
  XHostAddress* host_address_p =
    (XHostAddress*) malloc (sizeof(XHostAddress) * num_hosts);
  if (host_address_p == 0) {
    perror ("X_AddHosts_Init");
    abort();
  }
  return host_address_p;
}

void X_AddHosts_Loop (XHostAddress* host_address_p, INT i,
		      INT family, INT length, CHAR* address)
{
  host_address_p[i].family = family;
  host_address_p[i].length = length;
  host_address_p[i].address = address;
}

void X_AddHosts_GoForIt (Display* display,
			 XHostAddress* host_address_p, INT num_hosts)
{
  XAddHosts (display, host_address_p, num_hosts);
  free (host_address_p);
}
#endif



void X_Flush (Display* display)
{
  XFlush (display);
}

INT X_Pending (Display* display)
{
  return XPending (display);
}



INT X_ConnectionNumber (Display* display)
{
  return ConnectionNumber (display);
}

INT X_DefaultRootWindow (Display* display)
{
  return DefaultRootWindow (display);
}

Screen* X_DefaultScreenOfDisplay (Display* display)
{
  return DefaultScreenOfDisplay (display);
}

INT X_DefaultScreen (Display* display)
{
  return DefaultScreen (display);
}

CHAR* X_DisplayString (Display* display)
{
  return DisplayString (display);
}

INT X_LastKnownRequestProcessed (Display* display)
{
  return LastKnownRequestProcessed (display);
}

INT X_NextRequest (Display* display)
{
  return NextRequest (display);
}

INT X_ProtocolVersion (Display* display)
{
  return ProtocolVersion (display);
}

INT X_ProtocolRevision (Display* display)
{
  return ProtocolRevision (display);
}

INT X_QLength (Display* display)
{
  return QLength (display);
}

INT X_ScreenCount (Display* display)
{
  return ScreenCount (display);
}

CHAR* X_ServerVendor (Display* display)
{
  return ServerVendor (display);
}

INT X_VendorRelease (Display* display)
{
  return VendorRelease (display);
}



INT X_ImageByteOrder (Display* display)
{
  return ImageByteOrder (display);
}

INT X_BitmapBitOrder (Display* display)
{
  return BitmapBitOrder (display);
}

INT X_BitmapPad (Display* display)
{
  return BitmapPad (display);
}

INT X_BitmapUnit (Display* display)
{
  return BitmapUnit (display);
}
